#include <Wire.h>
#define SLAVE_ADDRESS   0x20

void setup()
{
  Wire.setClock(1000000);
  Serial.begin(9600);
  Wire.begin();
}

void loop() 
{
  Wire.beginTransmission(SLAVE_ADDRESS);
  Wire.write(0x09);
  byte busStatus = Wire.endTransmission();
  if(busStatus !=0)
  {
    Serial.println("I2C Bus error!");
    while(true);
  }
  Serial.println("Data Transmission is ok!");
  //--------------------------------------
  Wire.requestFrom(SLAVE_ADDRESS, 1);
  byte m = Wire.read();
  Serial.println(m, HEX);  //should show: 7
  delay(1000);
}
